Bug 986681 - [abrt] Gtk:ERROR:gtkrbtree.c:465:_gtk_rbtree_insert_after: assertion failed: (_gtk_rbtree_is_nil (tree->root))
[abrt] Gtk:ERROR:gtkrbtree.c:465:_gtk_rbtree_insert_after: assertion failed: ...
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gtk3 (Show other bugs)
19
x86_64 Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
abrt_hash:8d0282110bc0bd5a6a354aab3df...
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-07-21 11:10 EDT by Alex
Modified: 2015-02-17 11:17 EST (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 11:17:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
File: backtrace (34.08 KB, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: cgroup (140 bytes, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: core_backtrace (2.79 KB, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: dso_list (11.40 KB, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: environ (1.31 KB, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: limits (1.29 KB, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: maps (59.83 KB, text/plain)
2013-07-21 11:10 EDT, Alex
no flags Details
File: open_fds (1.15 KB, text/plain)
2013-07-21 11:11 EDT, Alex
no flags Details
File: proc_pid_status (944 bytes, text/plain)
2013-07-21 11:11 EDT, Alex
no flags Details
File: xsession_errors (365 bytes, text/plain)
2013-07-21 11:11 EDT, Alex
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
GNOME Desktop 692546 None None None Never

  None (edit)
Description Alex 2013-07-21 11:10:30 EDT
Description of problem:
I was going to add a file and opened the file manager (Caja) by pressing [F]
After the FM was opened I remembered that I needed to edit a playlist file (m3u).
This file was located in the directory the FM was currently in.

I edited the file and (upon saving, I think) audacious crashed.

---
Instructions for repeating:
Open audacious
Press f
Open emacs
Edit a file in the directory the FM is currently in.
Save file
Should result in a crash of audacious.

Version-Release number of selected component:
audacious-3.4-1.fc19

Additional info:
reporter:       libreport-2.1.5
backtrace_rating: 4
cmdline:        audacious
crash_function: _gtk_rbtree_insert_after
executable:     /usr/bin/audacious
kernel:         3.9.9-302.fc19.x86_64
runlevel:       N 5
uid:            1000
var_log_messages: Jul 19 08:00:16 localhost abrt[23458]: Saved core dump of pid 2469 (/usr/bin/audacious) to /var/tmp/abrt/ccpp-2013-07-19-08:00:15-2469 (106729472 bytes)

Truncated backtrace:
Thread no. 1 (10 frames)
 #4 _gtk_rbtree_insert_after at gtkrbtree.c:465
 #5 gtk_tree_view_row_inserted at gtktreeview.c:8866
 #10 gtk_tree_model_row_inserted at gtktreemodel.c:1820
 #11 emit_row_inserted_for_node at gtkfilesystemmodel.c:309
 #12 node_set_visible_and_filtered_out at gtkfilesystemmodel.c:359
 #13 node_compute_visibility_and_filters at gtkfilesystemmodel.c:481
 #14 add_file at gtkfilesystemmodel.c:1867
 #15 _gtk_file_system_model_update_file at gtkfilesystemmodel.c:1941
 #16 gtk_file_system_model_query_done at gtkfilesystemmodel.c:1226
 #17 g_task_return_now at gtask.c:1105
Comment 1 Alex 2013-07-21 11:10:35 EDT
Created attachment 776458 [details]
File: backtrace
Comment 2 Alex 2013-07-21 11:10:38 EDT
Created attachment 776459 [details]
File: cgroup
Comment 3 Alex 2013-07-21 11:10:43 EDT
Created attachment 776460 [details]
File: core_backtrace
Comment 4 Alex 2013-07-21 11:10:46 EDT
Created attachment 776461 [details]
File: dso_list
Comment 5 Alex 2013-07-21 11:10:49 EDT
Created attachment 776462 [details]
File: environ
Comment 6 Alex 2013-07-21 11:10:53 EDT
Created attachment 776463 [details]
File: limits
Comment 7 Alex 2013-07-21 11:10:57 EDT
Created attachment 776464 [details]
File: maps
Comment 8 Alex 2013-07-21 11:11:00 EDT
Created attachment 776465 [details]
File: open_fds
Comment 9 Alex 2013-07-21 11:11:04 EDT
Created attachment 776466 [details]
File: proc_pid_status
Comment 10 Alex 2013-07-21 11:11:07 EDT
Created attachment 776467 [details]
File: xsession_errors
Comment 11 Michael Schwendt 2013-07-21 11:42:38 EDT
Are you sure it's the MATE Desktop file manager "Caja"? I think it's GTK+'s file manager.

Similar to bug 895044 (Fedora 18).

Dunno a safe way to reproduce it yet, but indeed, keeping the file manager open while creating/editing/removing files in the open directory, can crash it. Whether it crashes may depend on what other files are located in the dir.
Comment 12 Moez Roy 2014-06-13 01:33:05 EDT
(In reply to Michael Schwendt from comment #11)
> Dunno a safe way to reproduce it yet, but indeed, keeping the file manager
> open while creating/editing/removing files in the open directory, can crash
> it. Whether it crashes may depend on what other files are located in the dir.

Very similar, except in my case I had Gnome Tweak Tool open to change the desktop background and was creating some pictures using LO Draw.
Comment 13 Fedora End Of Life 2015-01-09 14:01:54 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 14 Fedora End Of Life 2015-02-17 11:17:09 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.